import 'package:flutter/material.dart';

class VideoVolumeStyle {
  Size size;
  Color backgroundColor;
  Color fillColor;
  Color iconColor;
  double iconSize;
  TextStyle textStyle;
  BorderRadius borderRadius;

  VideoVolumeStyle({
    this.size = const Size(30.0, 100.0),
    Color? backgroundColor,
    this.fillColor = Colors.white,
    this.iconColor = Colors.black,
    this.iconSize = 20.0,
    this.textStyle = const TextStyle(fontSize: 11.0),
    this.borderRadius = const BorderRadius.all(Radius.circular(6.0)),
  }) : backgroundColor = backgroundColor ?? Colors.black.withOpacity(0.5);
}
